# $Revision: 1.3 $, $Date: 2004/09/23 13:29:50 $
Summary:	Graphical interface to the shell
Summary(pl):	Graficzna nakadka na lini polece
Name:		onefinger
Version:	1.1.1
Release:	1
Url:		http://onefinger.sourceforge.net/
License:	GPL
Group:		Applications/Shells
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	1d05f2c688f9abe3a1771b2c0f0f5bb8
BuildArch:	noarch
BuildRequires:	ImageMagick
Requires:	python-PyQt
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Onefinger is a general-purpose GUI (graphical user interface) built on
top of the CLI (command line interface). Although entirely graphical
and "pretty", OneFinger does not attempt to hide the underlying CLI
language: instead, it lets you compose CLI commands with the mouse
(and only one finger!).

%description -l pl
Onefinger jest przeznaczonym do oglnego uytku GUI(Graficznym
Interfejsem Uytkownika) zbudowanym na podstawie lini polece. W
przeciwiestwie do wikszoci graficznych nakadek, OneFinger nie
prbuje ukrywa moliwoci lini polece, przeciwnie, pozwala wybra
komendy i przeczniki programw korzystajc z myszy(tylko jednym
palcem!).

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_bindir}}
cp -r src/* $RPM_BUILD_ROOT%{_datadir}/%{name}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
cd %{_datadir}/%{name}/python
python one-finger.py $*
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README TODO doc/* web-site/*
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: onefinger.spec,v $
Revision 1.3  2004/09/23 13:29:50  undefine
- tyo

Revision 1.2  2004/09/23 13:28:44  undefine
- pl description

Revision 1.1  2004/09/23 13:26:18  undefine
- initital pld version

* Mon Sep 20 2004 Austin Acton <austin@mandrake.org> 1.1.1-1mdk
- initial build
-
